Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.callbacks
Class OnLogCallback

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.callbacks.OnLogCallback

    public abstract class OnLogCallback

extends java.lang.Object

This callback is invoked for log messages configured for any of the following PageBus classes:

* ManagedHub
* IframeContainer
* InlineContainer
* IframeHubClient
* InlineHubClient
* HubPolicy

These log messages are provided by the build-in logging from the PageBus.

Log messages:

* are technical in nature
* are unsuitable for end users
* are not necessarily localized
* contain content that is not defined by any standard and may differ from one implementation or version to another.

Thus, a log callback function SHOULD only be supplied during developer troubleshooting, and application code SHOULD NOT parse log messages and make decisions based on their contents.

This type of callback function SHOULD NOT throw exceptions.

Host applications that use the Hub SHOULD code their log functions carefully to prevent cross-site scripting (XSS) attacks. In particular, host applications SHOULD avoid simple innerHTML assignments of the log messages to prevent malicious components from injecting executable content (e.g., a script element) through the logging mechanism.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`OnLogCallback()`

Method Summary
`static com.google.gwt.core.client.JavaScriptObject` | `getNativeCallback(OnLogCallback instance)`
`protected abstract void` | `onLog(java.lang.String logMsg)` Callback handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnLogCallback

    public OnLogCallback()

Method Detail

### onLog

    protected abstract void onLog(java.lang.String logMsg)

  Callback handler.

  Parameters:
    `message` - The log message.

### getNativeCallback

    public static final com.google.gwt.core.client.JavaScriptObject getNativeCallback(OnLogCallback instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.